Debian Bug report logs - #591459
ibus 1.4.99-1.5 breaks compose/dead keys

version graph

Package: ibus; Maintainer for ibus is IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>; Source for ibus is src:ibus.

Reported by: "Marc Dequènes (Duck)" <duck@duckcorp.org>

Date: Tue, 3 Aug 2010 10:09:02 UTC

Severity: serious

Found in versions ibus/1.4.99.20120917-3, ibus/1.4.99.20120917-2, ibus/1.5.1-1, ibus/1.4.99.20120917-1

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 03 Aug 2010 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
New Bug report received and forwarded. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 10:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: Debian BTS <submit@bugs.debian.org>
Subject: ibus: breaks compose key
Date: Tue, 03 Aug 2010 12:06:14 +0200
[Message part 1 (text/plain, inline)]
Package: ibus
Version: 1.3.6-1


Coin,

I recently switched from scim to ibus, and it works well. I'm also  
using im-config instead of im-switch. But i discovered the compose key  
does not work anymore. In fact, after a few tries, i found it works  
perfectly in several GNOME applications but not in urxvt/xterm/..., so  
it may be related to the XIM method.

Using xev, i got the following:

KeyPress event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4181041, (289,760), root:(290,780),
    state 0x0, keycode 166 (keysym 0xff20, Multi_key), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: True
KeyRelease event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4181127, (289,760), root:(290,780),
    state 0x0, keycode 166 (keysym 0xff20, Multi_key), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False
KeyPress event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4181623, (289,760), root:(290,780),
    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
    XLookupString gives 1 bytes: (3c) "<"
    XmbLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: True
KeyRelease event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4181695, (289,760), root:(290,780),
    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
    XLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: False
KeyPress event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4181789, (289,760), root:(290,780),
    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
    XLookupString gives 1 bytes: (3c) "<"
    XmbLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: True
KeyPress event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4181789, (289,760), root:(290,780),
    state 0x0, keycode 0 (keysym 0xab, guillemotleft), same_screen YES,
    XKeysymToKeycode returns keycode: 52
    XLookupString gives 0 bytes:
    XmbLookupString gives 2 bytes: (c2 ab) "«"
    XFilterEvent returns: False
KeyRelease event, serial 28, synthetic NO, window 0x2400001,
    root 0x10d, subw 0x0, time 4523967, (125,508), root:(126,528),
    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
    XLookupString gives 1 bytes: (3c) "<"
    XFilterEvent returns: False

So, somehow the key sequence is properly detected and mapped to the  
right character, but lost.

Tell me what i can do to help debug this.

Regards.

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 03 Aug 2010 13:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to LI Daobing <lidaobing@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 13:54:13 GMT) Full text and rfc822 format available.

Message #10 received at 591459@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@gmail.com>
To: Marc Dequènes (Duck) <duck@duckcorp.org>, 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: ibus: breaks compose key
Date: Tue, 3 Aug 2010 21:39:42 +0800
Hello,

I still don't know how to reproduce this bug.

for example, can you tell me

what's your terminal?

what's your program?

which compose key does not work?

and can you check whether this is the same bug as
http://code.google.com/p/ibus/issues/detail?id=526

thanks.

On Tue, Aug 3, 2010 at 18:06, Marc Dequènes (Duck) <duck@duckcorp.org> wrote:
> Package: ibus
> Version: 1.3.6-1
>
>
> Coin,
>
> I recently switched from scim to ibus, and it works well. I'm also using
> im-config instead of im-switch. But i discovered the compose key does not
> work anymore. In fact, after a few tries, i found it works perfectly in
> several GNOME applications but not in urxvt/xterm/..., so it may be related
> to the XIM method.
>
> Using xev, i got the following:
>
> KeyPress event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4181041, (289,760), root:(290,780),
>    state 0x0, keycode 166 (keysym 0xff20, Multi_key), same_screen YES,
>    XLookupString gives 0 bytes:
>    XmbLookupString gives 0 bytes:
>    XFilterEvent returns: True
> KeyRelease event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4181127, (289,760), root:(290,780),
>    state 0x0, keycode 166 (keysym 0xff20, Multi_key), same_screen YES,
>    XLookupString gives 0 bytes:
>    XFilterEvent returns: False
> KeyPress event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4181623, (289,760), root:(290,780),
>    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
>    XLookupString gives 1 bytes: (3c) "<"
>    XmbLookupString gives 1 bytes: (3c) "<"
>    XFilterEvent returns: True
> KeyRelease event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4181695, (289,760), root:(290,780),
>    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
>    XLookupString gives 1 bytes: (3c) "<"
>    XFilterEvent returns: False
> KeyPress event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4181789, (289,760), root:(290,780),
>    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
>    XLookupString gives 1 bytes: (3c) "<"
>    XmbLookupString gives 1 bytes: (3c) "<"
>    XFilterEvent returns: True
> KeyPress event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4181789, (289,760), root:(290,780),
>    state 0x0, keycode 0 (keysym 0xab, guillemotleft), same_screen YES,
>    XKeysymToKeycode returns keycode: 52
>    XLookupString gives 0 bytes:
>    XmbLookupString gives 2 bytes: (c2 ab) "«"
>    XFilterEvent returns: False
> KeyRelease event, serial 28, synthetic NO, window 0x2400001,
>    root 0x10d, subw 0x0, time 4523967, (125,508), root:(126,528),
>    state 0x0, keycode 94 (keysym 0x3c, less), same_screen YES,
>    XLookupString gives 1 bytes: (3c) "<"
>    XFilterEvent returns: False
>
> So, somehow the key sequence is properly detected and mapped to the right
> character, but lost.
>
> Tell me what i can do to help debug this.
>
> Regards.
>
> --
> Marc Dequènes (Duck)
>
> _______________________________________________
> Pkg-ime-devel mailing list
> Pkg-ime-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-ime-devel
>



-- 
Best Regards
LI Daobing




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 03 Aug 2010 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 15:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 591459@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: LI Daobing <lidaobing@gmail.com>
Cc: 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: ibus: breaks compose key
Date: Tue, 03 Aug 2010 17:25:15 +0200
[Message part 1 (text/plain, inline)]
Coin,

Quoting LI Daobing <lidaobing@gmail.com>:

> what's your terminal?

urxvt (but i tried xterm too with the same exact result).

> what's your program?
>
> which compose key does not work?

The "compose" key emulation, using Multi_key (see the previous log).  
I'm asigning it using "keycode 166 = Multi_key" in '~/.Xmodmap'.

> and can you check whether this is the same bug as
> http://code.google.com/p/ibus/issues/detail?id=526

Yes, it's the same problem. I got dead keys problem too (like ^ or ").

Of course i forgot to say this happens when ibus input method is  
turned off and it should act as pass-through.

I've got the following set in my environment with im-config (using the  
default auto-mode):
declare -x GTK_IM_MODULE="ibus"
declare -x QT_IM_MODULE="ibus"
declare -x XMODIFIERS="@im=ibus"

My keyboard settings (in '/etc/default/keyboard'):
XKBMODEL="pc105"
XKBLAYOUT="fr"
XKBVARIANT="oss"
XKBOPTIONS="lv3:ralt_switch"

Tell me if you need more info.

Regards.

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 03 Aug 2010 15:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to LI Daobing <lidaobing@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 15:33:07 GMT) Full text and rfc822 format available.

Message #20 received at 591459@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@gmail.com>
To: Marc Dequènes (Duck) <duck@duckcorp.org>
Cc: 591459@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: ibus: breaks compose key
Date: Tue, 3 Aug 2010 23:30:38 +0800
package ibus
tags 591459 confirmed
forwarded 591459 http://code.google.com/p/ibus/issues/detail?id=526
thanks

On Tue, Aug 3, 2010 at 23:25, Marc Dequènes (Duck) <duck@duckcorp.org> wrote:
> Coin,
>
> Quoting LI Daobing <lidaobing@gmail.com>:
>
>> what's your terminal?
>
> urxvt (but i tried xterm too with the same exact result).
>
>> what's your program?
>>
>> which compose key does not work?
>
> The "compose" key emulation, using Multi_key (see the previous log). I'm
> asigning it using "keycode 166 = Multi_key" in '~/.Xmodmap'.
>
>> and can you check whether this is the same bug as
>> http://code.google.com/p/ibus/issues/detail?id=526
>
> Yes, it's the same problem. I got dead keys problem too (like ^ or ").
>
> Of course i forgot to say this happens when ibus input method is turned off
> and it should act as pass-through.
>
> I've got the following set in my environment with im-config (using the
> default auto-mode):
> declare -x GTK_IM_MODULE="ibus"
> declare -x QT_IM_MODULE="ibus"
> declare -x XMODIFIERS="@im=ibus"
>
> My keyboard settings (in '/etc/default/keyboard'):
> XKBMODEL="pc105"
> XKBLAYOUT="fr"
> XKBVARIANT="oss"
> XKBOPTIONS="lv3:ralt_switch"
>
> Tell me if you need more info.
>

Thanks for your clarify.

and since I don't use compose key (or dead key), so I has no idea on
how to fix this bug.

I'll mark this bug confirmed and forwarded to upstream, I'll also push
upstream to fix this bug.

you can add a star at
http://code.google.com/p/ibus/issues/detail?id=526 to draw more
attention from upstream.

thanks.

-- 
Best Regards
LI Daobing




Added tag(s) confirmed. Request was from LI Daobing <lidaobing@gmail.com> to control@bugs.debian.org. (Tue, 03 Aug 2010 15:33:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/ibus/issues/detail?id=526'. Request was from LI Daobing <lidaobing@gmail.com> to control@bugs.debian.org. (Tue, 03 Aug 2010 15:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 03 Aug 2010 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 03 Aug 2010 15:42:03 GMT) Full text and rfc822 format available.

Message #29 received at 591459@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: LI Daobing <lidaobing@gmail.com>
Cc: 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: ibus: breaks compose key
Date: Tue, 03 Aug 2010 17:39:31 +0200
[Message part 1 (text/plain, inline)]
Coin,

Thanks for your care.

Btw, i tried ibus-table, as suggested in the upstream ticket, and i  
thought it would emulate compose-key when disabled, but it is a  
distinct input method, with really not practical key sequences ("<<"  
gives "«<" instead of "«" because of the completion), so it cannot be  
a stopgap at all (and does not solve the dead keys problem at all).

ibus-xkbc is not packaged in Debian. Not sure it is the right method  
to solve this problem, but if someone decide to work on it, i'd be  
joyful to help testing (and sponsoring if needed).

If you need to test versions from the upstream VCS, or patches, tell me.

Regards.

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Wed, 04 Aug 2010 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to LI Daobing <lidaobing@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 04 Aug 2010 00:45:03 GMT) Full text and rfc822 format available.

Message #34 received at 591459@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@gmail.com>
To: Marc Dequènes (Duck) <duck@duckcorp.org>
Cc: 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: ibus: breaks compose key
Date: Wed, 4 Aug 2010 08:42:21 +0800
Hell,

On Tue, Aug 3, 2010 at 23:39, Marc Dequènes (Duck) <duck@duckcorp.org> wrote:
> Coin,
>
> Thanks for your care.
>
> Btw, i tried ibus-table, as suggested in the upstream ticket, and i thought
> it would emulate compose-key when disabled, but it is a distinct input
> method, with really not practical key sequences ("<<" gives "«<" instead of
> "«" because of the completion), so it cannot be a stopgap at all (and does
> not solve the dead keys problem at all).
>
> ibus-xkbc is not packaged in Debian. Not sure it is the right method to
> solve this problem, but if someone decide to work on it, i'd be joyful to
> help testing (and sponsoring if needed).
>
> If you need to test versions from the upstream VCS, or patches, tell me.
>

we will package ibus-xkbc in this week.

but we will focus on released version: 1.2.0.20100115
http://github.com/sun-im/ibus-xkbc/downloads

thanks.

-- 
Best Regards
LI Daobing




Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Thu, 15 Dec 2011 15:15:09 GMT) Full text and rfc822 format available.

Notification sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Bug acknowledged by developer. (Thu, 15 Dec 2011 15:15:09 GMT) Full text and rfc822 format available.

Message #39 received at 591459-done@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 591459-done@bugs.debian.org
Subject: ibus-xkbc has been around
Date: Fri, 16 Dec 2011 00:09:26 +0900
Version: 1.4.0-2

ibus-xkbc has been around from  Wed, 11 Aug 2010.

I think this bug should be closed by now.

Osamu




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 07:36:26 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:12:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Mon, 06 Feb 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Mon, 06 Feb 2012 15:45:04 GMT) Full text and rfc822 format available.

Message #48 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 591459@bugs.debian.org
Cc: Charles Plessy <plessy@debian.org>, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Subject: Re: [Pkg-ime-devel] Processed: unarchiving 591459
Date: Tue, 7 Feb 2012 00:40:00 +0900
Hi,

On Mon, Feb 06, 2012 at 03:12:22PM +0000, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
> 
> > unarchive 591459
> Bug #591459 {Done: Osamu Aoki <osamu@debian.org>} [ibus] ibus: breaks compose key
> Unarchived Bug 591459
> > thanks
> Stopping processing here.

I thought compose key is supported by ibus-xkbc package.  Are you having
problem with it?  Unlike SCIM, you need this package to have deadkey
support.

Please provide output of:

$ dpkg -l ibus-xkbc ibus ibus-gtk ibus-gtk3

$ set|grep IM_MODULE

$ set|grep XMODIFIERS

If you can describe issues for non-deadkey user to reproduce, I will
appreciate.

Osamu




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Mon, 06 Feb 2012 23:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Mon, 06 Feb 2012 23:36:07 GMT) Full text and rfc822 format available.

Message #53 received at 591459@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Processed: unarchiving 591459
Date: Tue, 7 Feb 2012 08:32:19 +0900
Le Tue, Feb 07, 2012 at 12:40:00AM +0900, Osamu Aoki a écrit :
> 
> I thought compose key is supported by ibus-xkbc package.  Are you having
> problem with it?  Unlike SCIM, you need this package to have deadkey
> support.

Good morning,

sorry for not following immediately the unarchiving by a better explanation; I
went to sleep first ;)

I would like to re-open this bug.  I think that ibus-xkbc may be
a temporary workaround, but it is definitely not a solution.

 1) Ibus is still broken as it does not support the compose key
    natively.  Can you imagine if we would need a module for
    the shift key ?

 2) If Ibus becomes the recommended input manager in GNOME3, then
    the loss of transparent support for the compose key is a regression
    compared with previous from GNOME2 plus default input manager.

 3) ibus-xkbc is a keyboard layout switching module whose functionality is
    redundant with X.org's layout switching (well supported by the GNOME shell).
    Keyboard layouts and input systems are two different things operated
    independantly.  I switch between Japanese and Canadian layouts, and
    within this or that layout, I switch input methods when I need to
    type Japanese.  Under the ibus-xkbc, this is more complicated.

 4) I think that it is fair to expect from input systems that,
    when no input method is selected, the keyboard behaves exactly
    the same as when the input system is not running.

Unless it becomes easy to replace Ibus on GNOME3, and for the
moment I have the impression that UIM is not so well integrated,
or unless the Ibus developers have decided upstream to never
support the compose key directly, I think that the current situation
is bug a that should be reflected in our BTS.

I have added my voice to the other users asking for a better support of the
compose key in the upstream BTS as well.
http://code.google.com/p/ibus/issues/detail?id=526#c43

I hope that this can be somehow resolved before Wheezy, and that it can be as
simple to work in a multilingual configuration on Debian as it was before.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 07 Feb 2012 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 07 Feb 2012 13:12:03 GMT) Full text and rfc822 format available.

Message #58 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Charles Plessy <plessy@debian.org>, 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: Processed: unarchiving 591459
Date: Tue, 7 Feb 2012 22:06:59 +0900
Hi,

On Tue, Feb 07, 2012 at 08:32:19AM +0900, Charles Plessy wrote:
> Le Tue, Feb 07, 2012 at 12:40:00AM +0900, Osamu Aoki a écrit :
> > 
> > I thought compose key is supported by ibus-xkbc package.  Are you having
> > problem with it?  Unlike SCIM, you need this package to have deadkey
> > support.
> 
> Good morning,
> 
> sorry for not following immediately the unarchiving by a better explanation; I
> went to sleep first ;)
> 
> I would like to re-open this bug.  I think that ibus-xkbc may be
> a temporary workaround, but it is definitely not a solution.
> 
>  1) Ibus is still broken as it does not support the compose key
>     natively.  Can you imagine if we would need a module for
>     the shift key ?
> 
>  2) If Ibus becomes the recommended input manager in GNOME3, then
>     the loss of transparent support for the compose key is a regression
>     compared with previous from GNOME2 plus default input manager.
> 
>  3) ibus-xkbc is a keyboard layout switching module whose functionality is
>     redundant with X.org's layout switching (well supported by the GNOME shell).
>     Keyboard layouts and input systems are two different things operated
>     independantly.  I switch between Japanese and Canadian layouts, and
>     within this or that layout, I switch input methods when I need to
>     type Japanese.  Under the ibus-xkbc, this is more complicated.

Redundancy was there with SCIM.
 
>  4) I think that it is fair to expect from input systems that,
>     when no input method is selected, the keyboard behaves exactly
>     the same as when the input system is not running.
> 
> Unless it becomes easy to replace Ibus on GNOME3, and for the
> moment I have the impression that UIM is not so well integrated,
> or unless the Ibus developers have decided upstream to never
> support the compose key directly, I think that the current situation
> is bug a that should be reflected in our BTS.
> 
> I have added my voice to the other users asking for a better support of the
> compose key in the upstream BTS as well.
> http://code.google.com/p/ibus/issues/detail?id=526#c43

Good.  That is the right place to discuss such basic topics involving design of 
the ibus infrastructure.

I think FEDORA people are driving this upstream development.  They are
doing quite a lot of updates for GNOME3.  1.4.1 is almost released.

The ibus has many keyboard configurations other than CJK.





Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 07 Feb 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 07 Feb 2012 13:30:03 GMT) Full text and rfc822 format available.

Message #63 received at 591459@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: Processed: unarchiving 591459
Date: Tue, 7 Feb 2012 22:26:45 +0900
Le Tue, Feb 07, 2012 at 10:06:59PM +0900, Osamu Aoki a écrit :
> On Tue, Feb 07, 2012 at 08:32:19AM +0900, Charles Plessy wrote:
> > 
> > I have added my voice to the other users asking for a better support of the
> > compose key in the upstream BTS as well.
> > http://code.google.com/p/ibus/issues/detail?id=526#c43
> 
> Good.  That is the right place to discuss such basic topics involving design of 
> the ibus infrastructure.
> 
> I think FEDORA people are driving this upstream development.  They are
> doing quite a lot of updates for GNOME3.  1.4.1 is almost released.
> 
> The ibus has many keyboard configurations other than CJK.

Thanks for the answer.  Do you mind if I reopen the bug on the Debian
side to give the issue a bit more visibility ?  For the moment,
I merely unarchived it; it will become archived again automatically
after some time of inaction.

PS: I was using UIM via uim-toolbar-gtk-systray before Ibus.

Cheers,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Thu, 09 Feb 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Thu, 09 Feb 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #68 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Charles Plessy <plessy@debian.org>, 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: Bug#591459: Processed: unarchiving 591459
Date: Fri, 10 Feb 2012 01:14:23 +0900
> Thanks for the answer.  Do you mind if I reopen the bug on the Debian
> side to give the issue a bit more visibility ?  For the moment,
> I merely unarchived it; it will become archived again automatically
> after some time of inaction.

Go ahead.
 
> PS: I was using UIM via uim-toolbar-gtk-systray before Ibus.

I see.




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Sat, 11 Feb 2012 14:45:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 11 Feb 2012 14:45:30 GMT) Full text and rfc822 format available.

Message #73 received at 591459@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: Bug#591459: Processed: unarchiving 591459
Date: Sat, 11 Feb 2012 23:33:55 +0900
reopen 591459
found 591459 1.4.0-2
thanks

Le Fri, Feb 10, 2012 at 01:14:23AM +0900, Osamu Aoki a écrit :
> > Thanks for the answer.  Do you mind if I reopen the bug on the Debian
> > side to give the issue a bit more visibility ?  For the moment,
> > I merely unarchived it; it will become archived again automatically
> > after some time of inaction.
> 
> Go ahead.
>  
> > PS: I was using UIM via uim-toolbar-gtk-systray before Ibus.
> 
> I see.

Hi again,

I would like to add that, after quitting ibus using the right-click menu on the
icon in the system tray, the keyboard is left without compose key, whereas one
could expect that the keyboard should work the same before starting and after
stopping ibus.  (That is, no side effect).

Cheers,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Bug No longer marked as fixed in versions 1.4.0-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Feb 2012 14:45:44 GMT) Full text and rfc822 format available.

Bug Marked as found in versions ibus/1.4.0-2. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 11 Feb 2012 14:45:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Mon, 13 Feb 2012 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Mon, 13 Feb 2012 15:03:03 GMT) Full text and rfc822 format available.

Message #82 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: ibus-devel@googlegroups.com
Cc: Charles Plessy <plessy@debian.org>, 591459@bugs.debian.org
Subject: data/keymaps/* files in git repo
Date: Mon, 13 Feb 2012 23:57:10 +0900
Hi,

I wonder why data/keymaps/* files in git repo are not included in tar.gz
file.  Technically, It seems data/keymaps/Makefile.am commented out all
locales except cjki and causing these data to be excluded from tar and
subsequently distribution binary copy.  I would like to know why you
chose to do this.

Enabling of these may cause package conflict with ibus-xkbc but that
should not be the reason to exclude these data.

This should allow enabling dead key for German?  Or is there any problem
with it?

Regards,

Osamu




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 14 Feb 2012 03:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to tfujiwar@redhat.com:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 14 Feb 2012 03:15:07 GMT) Full text and rfc822 format available.

Message #87 received at 591459@bugs.debian.org (full text, mbox):

From: Takao Fujiwara <tfujiwar@redhat.com>
To: ibus-devel@googlegroups.com
Cc: Osamu Aoki <osamu@debian.org>, Charles Plessy <plessy@debian.org>, 591459@bugs.debian.org
Subject: Re: [ibus-devel] data/keymaps/* files in git repo
Date: Tue, 14 Feb 2012 12:10:37 +0900
(02/13/12 23:57), Osamu Aoki-san wrote:
> Hi,
>
> I wonder why data/keymaps/* files in git repo are not included in tar.gz
> file.  Technically, It seems data/keymaps/Makefile.am commented out all
> locales except cjki and causing these data to be excluded from tar and
> subsequently distribution binary copy.  I would like to know why you
> chose to do this.

Because I think other files are not used in our engines at present.
If you need the files, you could file a bug.
However personally I may not think the request or fix is important since each distribution could copy or delete the necessary files in the the spec 
file during the build.

BTW, we try to upstream xkb engines into ibus 1.5, which set the xkb keymaps directly instead of the ibus keymaps.

fujiwara

>
> Enabling of these may cause package conflict with ibus-xkbc but that
> should not be the reason to exclude these data.
>
> This should allow enabling dead key for German?  Or is there any problem
> with it?
>
> Regards,
>
> Osamu
>





Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 28 May 2012 16:45:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 26 Jun 2012 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 26 Jun 2012 23:36:02 GMT) Full text and rfc822 format available.

Message #94 received at 591459@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 591459@bugs.debian.org
Subject: Re: Bug#591459: [Pkg-ime-devel] Bug#591459: Bug#591459: Processed: unarchiving 591459
Date: Wed, 27 Jun 2012 08:33:02 +0900
Dear all,

I see that http://code.google.com/p/ibus/issues/detail?id=526 is getting resolved.
Do you plan to have this in Wheezy with a freeze exception ?

For the moment, I am still pasting some accented characters from
http://fr.wikipedia.org/wiki/Accent_circonflexe when writing emails in
French...

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Wed, 27 Jun 2012 12:49:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 27 Jun 2012 12:49:26 GMT) Full text and rfc822 format available.

Message #99 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Charles Plessy <plessy@debian.org>, 591459@bugs.debian.org
Subject: Re: Bug#591459: [Pkg-ime-devel] Bug#591459: Bug#591459: Processed: unarchiving 591459
Date: Wed, 27 Jun 2012 21:43:38 +0900
Hi,

We are shipping ibus 1.4.1.

On Wed, Jun 27, 2012 at 08:33:02AM +0900, Charles Plessy wrote:
> Dear all,
> 
> I see that http://code.google.com/p/ibus/issues/detail?id=526 is getting resolved.
> Do you plan to have this in Wheezy with a freeze exception ?

Not at this moment.  With my skill and time only, it is not feasible.
Of course, I am open for changing mind if I get strong support from
other DDs.

The bug fix is probably for ibus 1.5 pre release series.  Since this was
not official release version, I am keeping away from it.  (Besides, some
features are not available in the upcoming version yet.)  FEDORA is
sometimes very aggrssive.  Fujiwara-san does it with partial upstream
hat.  But I do not think RH has deploying ibus 1.5 series for enterprise
edition.

Basically upstream considers 1.4.1 as stable release while 1.5 branch
(which is now released as 1.4.99...) is unstable.  I am not upstream.
This put me to upload 1.4.1 to Debian unstable.

Last pre-release took 1 year to get it released.  That means next year
February for 1.5, if it goes with same speed this time.

Linked upstream site also tells:

We implemented a workaround in ibus-1.5. Close this issue for now.
...
ibus-xkb enables pre-loaded engines, libgnomekbd and pre-configured XKB
layout list.
ibus-xkb requires ibus 1.5 git HEAD now with './configure --disable-ui
--disable-engine --prefix=/usr'

  http://ibus.googlecode.com/files/ibus-xkb-1.4.99.20120525.tar.gz

ibus-gjs also requires ibus-xkb for ibus gnome-shell 3.4 integration:
  http://ibus.googlecode.com/files/ibus-gjs-3.4.1.20120525.tar.gz

-----
By the way, I see:
  http://ibus.googlecode.com/files/ibus-1.4.99.20120605.tar.gz

If you upload all these 99 version packages to experimental now and if
it works fine, I can ask exception.  Will you do this?

> For the moment, I am still pasting some accented characters from
> http://fr.wikipedia.org/wiki/Accent_circonflexe when writing emails in
> French...

I understand your pain but if I am not mistaken, ibus initiation
dialogue is much less than current version if we update to new version.
Without mac-like key arrangement for ibus initiation, my typing habit is
severly crippled.  (last time when I build it, it was so.)

Osamu





Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Wed, 27 Jun 2012 23:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Wed, 27 Jun 2012 23:42:03 GMT) Full text and rfc822 format available.

Message #104 received at 591459@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Osamu Aoki <osamu@debian.org>
Cc: 591459@bugs.debian.org
Subject: Re: Bug#591459: [Pkg-ime-devel] Bug#591459: Bug#591459: Processed: unarchiving 591459
Date: Thu, 28 Jun 2012 08:38:35 +0900
Le Wed, Jun 27, 2012 at 09:43:38PM +0900, Osamu Aoki a écrit :
> 
> By the way, I see:
>   http://ibus.googlecode.com/files/ibus-1.4.99.20120605.tar.gz
> 
> If you upload all these 99 version packages to experimental now and if
> it works fine, I can ask exception.  Will you do this?

Unfortunately, I am too overcomitted to many projects, in a context where the
time I give to Debian is decreasing (I am renewing my 5-year work contract this
year, and actually it is my whole research department that is being renewed, so
there are a lot of things to finish...).

Have a nice day,

-- 
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Sat, 24 Nov 2012 02:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 02:00:03 GMT) Full text and rfc822 format available.

Message #109 received at 591459@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Osamu Aoki <osamu@debian.org>, 591459@bugs.debian.org
Subject: Could not activate Ibus and Mozc from experimental.
Date: Sat, 24 Nov 2012 10:57:51 +0900
Le Wed, Jun 27, 2012 at 09:43:38PM +0900, Osamu Aoki a écrit :
> 
> By the way, I see:
>   http://ibus.googlecode.com/files/ibus-1.4.99.20120605.tar.gz
> 
> If you upload all these 99 version packages to experimental now and if
> it works fine, I can ask exception.  Will you do this?

Dear Aoki-san,

I tried Ibus and Mozc from experimental.  Unfortunately, I do not manage to
activate the Japanese input by Ctrl+space, nor by cliking, nor by ad-hoc tests
such as defining the key "a" to activate and "z" to unactivate.  I could not
try with GNOME 3.6 as installing gnome-shell and its dependancies resulted in a
systematic failure at login.

Here are the Ibus and Mozc packages currently installed on my system.

ii  gir1.2-ibus-1.0                          1.4.99.20120917-3         amd64    
ii  ibus                                     1.4.99.20120917-3         amd64    
ii  ibus-anthy                               1.4.99.20120327-1         amd64    
ii  ibus-doc                                 1.4.99.20120917-3         all      
ii  ibus-gtk:amd64                           1.4.99.20120917-3         amd64    
ii  ibus-gtk3:amd64                          1.4.99.20120917-3         amd64    
ii  ibus-mozc                                1.6.1187.102-1~exp1       amd64    
ii  libibus-1.0-0:amd64                      1.4.99.20120917-1         amd64    
ii  libibus-1.0-5:amd64                      1.4.99.20120917-3         amd64    
ii  python-ibus                              1.4.99.20120917-3         all     
ii  ibus-mozc                                1.6.1187.102-1~exp1       amd64   
ii  mozc-data                                1.6.1187.102-1~exp1       all    
ii  mozc-server                              1.6.1187.102-1~exp1       amd64  
ii  mozc-utils-gui                           1.6.1187.102-1~exp1       amd64  

Do you know if they are expected to work together ?

Have a nice week-end,

-- 
Charles



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Sat, 24 Nov 2012 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 11:48:03 GMT) Full text and rfc822 format available.

Message #114 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 591459@bugs.debian.org
Subject: Re: Could not activate Ibus and Mozc from experimental.
Date: Sat, 24 Nov 2012 20:44:07 +0900
Hi,

On Sat, Nov 24, 2012 at 10:57:51AM +0900, Charles Plessy wrote:
> Le Wed, Jun 27, 2012 at 09:43:38PM +0900, Osamu Aoki a écrit :
> > 
> > By the way, I see:
> >   http://ibus.googlecode.com/files/ibus-1.4.99.20120605.tar.gz
> > 
> > If you upload all these 99 version packages to experimental now and if
> > it works fine, I can ask exception.  Will you do this?

With current policy in action, I doubt this is desirable thing to do
even if it works.
 
> Dear Aoki-san,
> 
> I tried Ibus and Mozc from experimental.  Unfortunately, I do not manage to
> activate the Japanese input by Ctrl+space, nor by cliking, nor by ad-hoc tests
> such as defining the key "a" to activate and "z" to unactivate.  I could not
> try with GNOME 3.6 as installing gnome-shell and its dependancies resulted in a
> systematic failure at login.

Anyway, GNOME 3.6 is not stable enough platform yet.  It needs to
stabilize itself before we package for Debian unstable (at least around
IME related things.)  We are shipping GNOME 3.4 so ibus 1.4.? is good
choice.

I did not initiate this experimental upload (Asias He and Aron Xu did).
I think we should keep us out of these new GNOME for unstable.  Once we
see the next RHEL release with newer GNOME 3.8, we will be OK.
Otherwise, GNOME development releases are really alpha stage quality as
a whole distribution.

Please keep these in experimental before we have good backported mature
1.4 series IBus for wheezy backport.  We still have lots of time before
Jessie.

Regards,

Osamu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Sat, 24 Nov 2012 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #119 received at 591459@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Osamu Aoki <osamu@debian.org>, 591459@bugs.debian.org
Subject: Re: [Pkg-ime-devel] Bug#591459: Could not activate Ibus and Mozc from experimental.
Date: Sat, 24 Nov 2012 15:01:57 -0600
On Sat, Nov 24, 2012 at 5:44 AM, Osamu Aoki <osamu@debian.org> wrote:
> Anyway, GNOME 3.6 is not stable enough platform yet.  It needs to
> stabilize itself before we package for Debian unstable (at least around
> IME related things.)  We are shipping GNOME 3.4 so ibus 1.4.? is good
> choice.

I'm not aware of any concrete stability issue.
However, some methods they are currently using are really problematic.
https://bugzilla.gnome.org/show_bug.cgi?id=688914
https://bugzilla.gnome.org/show_bug.cgi?id=688916
https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00091.html
https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00123.html

> I did not initiate this experimental upload (Asias He and Aron Xu did).
> I think we should keep us out of these new GNOME for unstable.  Once we
> see the next RHEL release with newer GNOME 3.8, we will be OK.
> Otherwise, GNOME development releases are really alpha stage quality as
> a whole distribution.
Rumors said RHEL7 is based Fedora 18 and it is clear that Fedora will
use GNOME 3.6.
But GNOME 3.6 integration is very problematic as I mentioned above.
I guess we better correct what GNOME is doing wrong whether than
hopelessly waiting.



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Sun, 25 Nov 2012 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <aron@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 25 Nov 2012 07:21:03 GMT) Full text and rfc822 format available.

Message #124 received at 591459@bugs.debian.org (full text, mbox):

From: Aron Xu <aron@debian.org>
To: 591459@bugs.debian.org
Cc: Xiaojun Ma <damage3025@gmail.com>, Osamu Aoki <osamu@debian.org>, Charles Plessy <plessy@debian.org>
Subject: GNOME's ibus integration issue
Date: Sun, 25 Nov 2012 15:18:12 +0800
We are going to release Wheezy with IBus 1.4.x + GNOME 3.4.x, which is
working. GNOME 3.6 has made IBus not useable when the integration is
enabled, details are in GNOME's desktop-devel-list. ibus-mozc isn't in
its white list so there is no possibility to make it behave normally
in current context.

I have filed a bug against gnome-settings-daemon in Debian, although
gnome-control-center needs to be configured with --disable-ibus
either.

Ref: http://bugs.debian.org/694301




--
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Sun, 25 Nov 2012 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ma Xiaojun <damage3025@gmail.com>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 25 Nov 2012 08:21:03 GMT) Full text and rfc822 format available.

Message #129 received at 591459@bugs.debian.org (full text, mbox):

From: Ma Xiaojun <damage3025@gmail.com>
To: Aron Xu <aron@debian.org>
Cc: 591459@bugs.debian.org, Osamu Aoki <osamu@debian.org>, Charles Plessy <plessy@debian.org>
Subject: Re: GNOME's ibus integration issue
Date: Sun, 25 Nov 2012 02:18:08 -0600
On Sun, Nov 25, 2012 at 1:18 AM, Aron Xu <aron@debian.org> wrote:
> We are going to release Wheezy with IBus 1.4.x + GNOME 3.4.x, which is
> working. GNOME 3.6 has made IBus not useable when the integration is
> enabled, details are in GNOME's desktop-devel-list. ibus-mozc isn't in
> its white list so there is no possibility to make it behave normally
> in current context.

To be accurate, ibus-mozc is in the white list of engine.
http://git.gnome.org/browse/gnome-control-center/tree/panels/region/gnome-region-panel-input.c#n88

And as I just tried on Fedora 18 (Alpha with entire update). Mozc can
appear in Input Source list.
However, you can neither enter its setup nor have any embedded
property (context) menu. In other word, handicapped experience.

I cannot hate more about the idea of white listing.

> I have filed a bug against gnome-settings-daemon in Debian, although
> gnome-control-center needs to be configured with --disable-ibus
> either.
>
> Ref: http://bugs.debian.org/694301

Best thing a distributor can do if you don't want to be controlled by GNOME.
https://bugzilla.gnome.org/show_bug.cgi?id=688914#c10



Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Mon, 17 Jun 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Mon, 17 Jun 2013 21:51:05 GMT) Full text and rfc822 format available.

Message #134 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 591459@bugs.debian.org
Subject: Fix in wheezy needed ...
Date: Tue, 18 Jun 2013 06:49:28 +0900
Control: severity 591459 serious
Control: found 591459 ibus/1.4.1-9
Control: found 591459 ibus/1.5.1.is.1.4.2-1
Control: found 591459 ibus/1.5.1.is.1.4.2-2

Hi,

I overlooked the original problem of this bug.

https://code.google.com/p/ibus/issues/detail?id=526

This needs to be reviewed and fixed.

If it has been fixed, mark this so.

Osamu




Severity set to 'serious' from 'normal' Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Mon, 17 Jun 2013 21:51:05 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.4.1-9. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Mon, 17 Jun 2013 21:51:05 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.5.1.is.1.4.2-1. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Mon, 17 Jun 2013 21:51:06 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.5.1.is.1.4.2-2. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Mon, 17 Jun 2013 21:51:07 GMT) Full text and rfc822 format available.

Merged 591459 711790 Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 18 Jun 2013 12:27:16 GMT) Full text and rfc822 format available.

Summary recorded from message bug 591459 message 134 Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Tue, 18 Jun 2013 12:48:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#591459; Package ibus. (Tue, 18 Jun 2013 13:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Tue, 18 Jun 2013 13:57:09 GMT) Full text and rfc822 format available.

Message #151 received at 591459@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 591459@bugs.debian.org
Subject: ibus and compose key
Date: Tue, 18 Jun 2013 22:52:13 +0900
Control: clone 591459 -1
Control: forcemerge 692424 -1
Control: retitle 591459 ibus 1.3-1.4 breaks compose/dead keys
Control: retitle -1 ibus 1.4.99-1.5 breaks compose/dead keys
Control: unmerge  591459  711790
Control: tag 591459 - fixed-upstream
Control: forcemerge  -1  711790 692424
Control: severity 591459 wishlist
Control: severity -1 serious
Control: notfound -1 ibus/1.5.1.is.1.4.2-1 
Control: notfound -1 ibus/1.5.1.is.1.4.2-2
Control: notfound -1 ibus/1.3.6-1
Control: notfound -1 ibus/1.4.1-9
Control: notfound -1 ibus/1.4.0-2
Control: found -1 ibus/1.5.1-1
Control: found -1 ibus/1.4.99.20120917-1
Control: found -1 ibus/1.4.99.20120917-2
Control: found -1 ibus/1.4.99.20120917-3

Since fixed upstream only valid for 1.5 series ibus, i am splitting bug.

Although impact is huge for some affected parties needing composekey
etc., it is feature request for 1.3 and 1.4 packages.

There is no excuse for 1.5.

Osamu



Unset Bug forwarded-to-address Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:10 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:12 GMT) Full text and rfc822 format available.

Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:13 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.4.99.20120917-3. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:14 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:16 GMT) Full text and rfc822 format available.

Merged 591459 692424 711790 Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'ibus 1.3-1.4 breaks compose/dead keys' from 'ibus: breaks compose key' Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:20 GMT) Full text and rfc822 format available.

Changed Bug title to 'ibus 1.4.99-1.5 breaks compose/dead keys' from 'ibus 1.3-1.4 breaks compose/dead keys' Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:22 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:24 GMT) Full text and rfc822 format available.

Merged 591459 692424 711790 Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:27 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:28 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:31 GMT) Full text and rfc822 format available.

No longer marked as found in versions ibus/1.5.1.is.1.4.2-1. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:33 GMT) Full text and rfc822 format available.

No longer marked as found in versions ibus/1.5.1.is.1.4.2-2. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:35 GMT) Full text and rfc822 format available.

No longer marked as found in versions ibus/1.3.6-1. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:37 GMT) Full text and rfc822 format available.

No longer marked as found in versions ibus/1.4.1-9. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:39 GMT) Full text and rfc822 format available.

No longer marked as found in versions ibus/1.4.0-2. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:41 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.5.1-1. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:43 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.4.99.20120917-1. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:45 GMT) Full text and rfc822 format available.

Marked as found in versions ibus/1.4.99.20120917-2. Request was from Osamu Aoki <osamu@debian.org> to 591459-submit@bugs.debian.org. (Tue, 18 Jun 2013 13:57:47 GMT) Full text and rfc822 format available.

Disconnected #591459 from all other report(s). Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Sat, 13 Jul 2013 14:00:04 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Osamu Aoki <osamu@debian.org> to 692424-submit@bugs.debian.org. (Sat, 13 Jul 2013 14:27:04 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Osamu Aoki <osamu@debian.org> to 692424-submit@bugs.debian.org. (Sat, 13 Jul 2013 14:27:04 GMT) Full text and rfc822 format available.

Removed tag(s) confirmed. Request was from Osamu Aoki <osamu@debian.org> to 692424-submit@bugs.debian.org. (Sat, 13 Jul 2013 14:27:05 GMT) Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Sat, 13 Jul 2013 14:27:17 GMT) Full text and rfc822 format available.

Notification sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Bug acknowledged by developer. (Sat, 13 Jul 2013 14:27:17 GMT) Full text and rfc822 format available.

Message #204 received at 591459-done@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 591459-done@bugs.debian.org, 711790-done@bugs.debian.org
Cc: 692424@bugs.debian.org
Subject: pre-1.5 bugs are not useful anymore.
Date: Sat, 13 Jul 2013 23:07:39 +0900
Control: tags 591459 - pending
Control: tags 591459 - patch
Control: tags 591459 - confirmed
Control: tags 711790 - pending
Control: tags 711790 - patch
Control: tags 711790 - confirmed
Control: tags 692424 - pending
Control: tags 692424 - patch
Control: tags 692424 - confirmed
Control: severity 692424 important

Hi,

We know ibus 1.3 and 1.4 had this feature.

Since these feature bugs are for 1.3 and 1.4 ibus, this was design
decision of that era.  Since keeping these bug serves no use, I am
closing filed for old version.  (But keeping 1.5 1.4.99 version ones alive)

These will be addressed in 1.5 series.
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=711790

Osamu



Information stored :
Bug#591459; Package ibus. (Sun, 14 Jul 2013 12:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to 716898@bugs.debian.org:
Extra info received and filed, but not forwarded. (Sun, 14 Jul 2013 12:21:13 GMT) Full text and rfc822 format available.

Message #209 received at 591459-quiet@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Ma Xiaojun <damage3025@gmail.com>, 716898@bugs.debian.org
Cc: 591459-quiet@bugs.debian.org, Aron Xu <aron@debian.org>, Harshula <harshula@debian.org>
Subject: Re: [Pkg-ime-devel] Bug#591459: Could not activate Ibus and Mozc from experimental.
Date: Sun, 14 Jul 2013 21:18:53 +0900
Hi,

I think the below quoted comment is interesting but not really on topic
for #591459.  Let's discuss this and related general IME and GNOME
tracking discussion on 716898@bugs.debian.org

On Sat, Nov 24, 2012 at 03:01:57PM -0600, Ma Xiaojun wrote:
> On Sat, Nov 24, 2012 at 5:44 AM, Osamu Aoki <osamu@debian.org> wrote:
> > Anyway, GNOME 3.6 is not stable enough platform yet.  It needs to
> > stabilize itself before we package for Debian unstable (at least around
> > IME related things.)  We are shipping GNOME 3.4 so ibus 1.4.? is good
> > choice.
> 
> I'm not aware of any concrete stability issue.
> However, some methods they are currently using are really problematic.
> https://bugzilla.gnome.org/show_bug.cgi?id=688914
> https://bugzilla.gnome.org/show_bug.cgi?id=688916
> https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00091.html
> https://mail.gnome.org/archives/desktop-devel-list/2012-November/msg00123.html
> 
> > I did not initiate this experimental upload (Asias He and Aron Xu did).
> > I think we should keep us out of these new GNOME for unstable.  Once we
> > see the next RHEL release with newer GNOME 3.8, we will be OK.
> > Otherwise, GNOME development releases are really alpha stage quality as
> > a whole distribution.
> Rumors said RHEL7 is based Fedora 18 and it is clear that Fedora will
> use GNOME 3.6.
> But GNOME 3.6 integration is very problematic as I mentioned above.
> I guess we better correct what GNOME is doing wrong whether than
> hopelessly waiting.

Now that FEDRA 19 is out.  

As I mention on 
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=716898
FEDORA uses im-choser.  Quite frankly, for GNOME world, tracking RHEL is
good idea (systemd, ...) if resource is limitted like Debian.

Any comment?

Osamu



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Aug 2013 07:30:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:40:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.